import Cookies from 'js-cookie'

const TokenKey = 'Admin_szzs-Token'

export function getToken() {
  if (import.meta.env.VITE_APP_ENV === 'development') {
    return 'eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJsb2dpblR5cGUiOiJsb2dpbiIsImxvZ2luSWQiOiJzeXNfdXNlcjoxIiwicm5TdHIiOiJiVzRlWTdXUlRDSTBFbTVxc3JycklLTm42bUtjcEZlQiIsInVzZXJJZCI6MX0.CIBiXtHTTShN8RqnXR6-zliSsINxVyTHRQDQR37CiuU'
  } else {
    return Cookies.get(TokenKey)
  }
}

export function setToken(token) {
  return Cookies.set(TokenKey, token)
}

export function removeToken() {
  return Cookies.remove(TokenKey)
}
